## SYNOPSIS

           autoconf [OPTION] ... [TEMPLATE-FILE]

## DESCRIPTION

           Generate  a  configuration  script from a TEMPLATE-FILE if
           given, or `configure.ac'  if  present,  or  else  `config
           ure.in'.   Output  is  sent to the standard output if TEM
           PLATE-FILE is given, else into `configure'.

       Operation modes:
           -h, --help
                  print this help, then exit

           -V, --version
                  print version number, then exit

           -v, --verbose
                  verbosely report processing

           -d, --debug
                  don't remove temporary files

           -f, --force
                  consider all files obsolete

           -o, --output=FILE
                  save output in FILE (stdout is the default)

           -W, --warnings=CATEGORY
                  report the warnings falling in CATEGORY [syntax]

       Warning categories include:
           `cross'
                  cross compilation issues

           `obsolete'
                  obsolete constructs

           `syntax'
                  dubious syntactic constructs

           `all'  all the warnings

           `no-CATEGORY'
                  turn off the warnings on CATEGORY

           `none' turn off all the warnings

           `error'
                  warnings are error

           The environment variable `WARNINGS' is honored.

           In tracing mode, no configuration script is created.

## AUTHOR

           Written by David J. MacKenzie and Akim Demaille.

           Copyright 2002 Free Software  Foundation,  Inc.   This  is
           free  software;  see  the  source  for copying conditions.
           There is NO warranty; not even for MERCHANTABILITY or FIT
           NESS FOR A PARTICULAR PURPOSE.

## REPORTING BUGS

           Report bugs to <bug-autoconf@gnu.org>.

## SEE ALSO

           autoconf(1),  automake(1),  autoreconf(1),  autoupdate(1),
           autoheader(1),    autoscan(1),    config.guess(1),    con
           fig.sub(1), ifnames(1), libtool(1).

           The  full  documentation  for  autoconf is maintained as a
           Texinfo manual.  If the info  and  autoconf  programs  are
           properly installed at your site, the command

                  info autoconf

           should give you access to the complete manual.

    autoconf 2.57             December 2002               AUTOCONF(1)